• RSS

[WP]IE6 や IE7 でのアクセス時にアラートメッセージを表示できるプラグイン「IE6 No More」

  • このエントリーをはてなブックマークに追加
  • follow us in feedly

当ブログでは、IE下位バージョン向けの特別な対応(動作チェックも)はしていませんため、WordPressプラグイン「IE6 No More」というプラグインを利用して、IE7以下で閲覧させた際にページ上部にアナウンスを表示しております。

ちなみにプラグインの名称はIE6 No More ですが、IE7でもIE8でもアラートを出すことは可能です。

また、プラグインを有効化しただけではアラートメッセージは英語ですが、日本語に変更することも可能です。

IE6 No More プラグインのインストール

管理画面のプラグイン新規追加画面よりIE6 No More を検索するか、以下のサイトよりプラグインファイルをダウンロードします。

プラグインを有効化するだけで、IE下位バージョンでサイトにアクセスした場合に、以下のようなメッセージが表示されます。
[WP]IE6 や IE7 でのアクセス時にアラートメッセージを表示できるプラグイン「IE6 No More」

IE7 以下にアラートを表示

プラグインファイルである ie6-no-more.php の17行目の記述
<!--[if lt IE 7]>
...
<![endif]-->
を直接編集して、
<!--[if lt IE 8]>
...
<![endif]-->
にします。


IE8 以下にアラートを表示

同様に、プラグインファイルである ie6-no-more.php の17行目の記述
<!--[if lt IE 7]>
...
<![endif]-->
を直接編集して、
<!--[if lt IE 9]>
...
<![endif]-->
にします。


アラートのメッセージを日本語にする

IE6 No More をインストールしただけではアラートメッセージは英語のままですが、これを日本語に自由にテキストを変更することができます。

プラグインファイルである ie6-no-more.php の23〜24行目の記述
<div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>You are using an outdated browser</div>
<div style='font-size: 12px; margin-top: 6px; line-height: 12px;'>For a better experience using this site, please upgrade to a modern web browser.</div>

<div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>あなたは旧式ブラウザをご利用中です</div>
<div style='font-size: 12px; margin-top: 6px; line-height: 12px;'>このウェブサイトを快適に閲覧するにはブラウザをアップグレードしてください。</div>
などの日本語メッセージに変更します。
[WP]IE6 や IE7 でのアクセス時にアラートメッセージを表示できるプラグイン「IE6 No More」



  • このエントリーをはてなブックマークに追加
  • follow us in feedly

コメント

コメントを残す

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください